"""create fruits table
Revision ID: b4f8c2e9d1a5
Revises: a2b3c4d5e6f7
Create Date: 2024-01-18 10:00:00.000000
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql
import uuid

# revision identifiers, used by Alembic.
revision = 'b4f8c2e9d1a5'
down_revision = 'a2b3c4d5e6f7'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'fruits',
        sa.Column('id', postgresql.UUID(as_uuid=True), primary_key=True, default=uuid.uuid4),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('is_active', sa.Boolean(), server_default=sa.text('true')),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now()),
    )
    op.create_index('ix_fruits_name', 'fruits', ['name'], unique=True)

def downgrade():
    op.drop_index('ix_fruits_name')
    op.drop_table('fruits')